package com.theitbulls.navigationex.fragments;

import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.AppCompatButton;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.navigation.NavController;
import androidx.navigation.Navigation;

import com.theitbulls.navigationex.R;

public class HomeFragment extends Fragment {
    private Context mContext;
    private FragmentActivity activity;

    public View onCreateView(@NonNull LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View root = inflater.inflate(R.layout.fragment_home, container, false);

        View.OnClickListener homeSecondView = Navigation.createNavigateOnClickListener(R.id.action_home_second_fragment);
        AppCompatButton btnSecondFrag = root.findViewById(R.id.btnSecondFrag);
        btnSecondFrag.setOnClickListener(homeSecondView);

        // TODO or we can do so like below

        /*final NavController navController = Navigation.findNavController(getActivity(), R.id.nav_host_fragment);
        AppCompatButton btnSecondFrag = root.findViewById(R.id.btnSecondFrag);

        final Bundle bundle = new Bundle();
        bundle.putString("myArg", "The It Bulls");
        btnSecondFrag.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                navController.navigate(R.id.action_home_second_fragment, bundle);
            }
        });*/
        return root;
    }

    @Override
    public void onActivityCreated(@Nullable Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);
        // save this context for future use, because some time in fragment getContext() return null
        this.activity = getActivity();
    }

    @Override
    public void onAttach(@NonNull Context context) {
        super.onAttach(context);
        // save this context for future use, because some time in fragment getContext() return null
        this.mContext = context;
    }
}
